package dev.model;

public class User {

    private int id;

    private String username;

    private String passwordHash;

    private String email;

    public User(int id, String username, String passwordHash, String email) {
        this.id = id;
        this.username = username;
        this.passwordHash = passwordHash;
        this.email = email;
    }

    public User(String username, String passwordHash, String email) {
        this.username = username;
        this.passwordHash = passwordHash;
        this.email = email;
    }

    public void setId(int id){
        this.id = id;
    }
    public String getPasswordHash(){
        return passwordHash;
    }

    public int getId() {
        return id;
    }


    public String getUsername() {
        return username;
    }

    public String getEmail() {
        return email;
    }


}